# guiqwt.styles

The styles module provides set of parameters (DataSet classes) to configure plot items and plot tools.

See also

Module `guiqwt.plot`

  Module providing ready-to-use curve and image plotting widgets and dialog boxes

Module `guiqwt.curve`

  Module providing curve-related plot items and plotting widgets

Module `guiqwt.image`

  Module providing image-related plot items and plotting widgets

Module `guiqwt.tools`

  Module providing the plot tools

## Reference

class guiqwt.styles.CurveParam(title: str | None = None, comment: str | None = None, icon: str = '', readonly: bool = False, skip_defaults: bool = False)
  accept(vis: object) → None

    Helper function that passes the visitor to the accept methods of all the items in this dataset

    Args:

      vis (object): visitor object

  check() → list[str]

    Check the dataset item values

    Returns:

      list[str]: list of errors

  classmethod create(**kwargs) → AnyDataSet

    Create a new instance of the DataSet class

    Args:

      kwargs: keyword arguments to set the DataItem values

    Returns:

      DataSet instance

  deserialize(reader: HDF5Reader | JSONReader | INIReader) → None

    Deserialize the dataset

    Args:

      reader (HDF5Reader | JSONReader | INIReader): reader object

  edit(parent: QWidget | None = None, apply: Callable | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None, object_name: str | None = None) → int

    Open a dialog box to edit data set

    Args:

      parent: parent widget (default is None, meaning no parent) apply: apply callback (default is None) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height)) object_name: object name for the dialog (default is None, meaning

      > use class name + “Dialog”)

    Returns:

      Dialog exit code.

  get_comment() → str | None

    Return data set comment

    Returns:

      str | None: comment

  get_icon() → str | None

    Return data set icon

    Returns:

      str | None: icon

  get_items(copy=False) → list[DataItem]

    Returns all the DataItem objects from the DataSet instance. Ignore private items that have a name starting with an underscore (e.g. ‘_private_item = …’)

    Args:

      copy: If True, deepcopy the DataItem list, else return the original. Defaults to False.

    Returns:

      _description_

  get_title() → str

    Return data set title

    Returns:

      str: title

  read_config(conf: UserConfig, section: str, option: str) → None

    Read configuration from a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

  serialize(writer: HDF5Writer | JSONWriter | INIWriter) → None

    Serialize the dataset

    Args:

      writer (HDF5Writer | JSONWriter | INIWriter): writer object

  set_comment(comment: str | None) → None

    Set data set comment

    Args:

      comment (str | None): comment

  set_defaults() → None

    Set default values

  classmethod set_global_prop(realm: str, **kwargs) → None

    Set global properties for all data items in the dataset

    Args:

      realm (str): realm name kwargs (dict): properties to set

  set_icon(icon: str) → None

    Set data set icon

    Args:

      icon (str): icon

  set_title(title: str) → None

    Set data set title

    Args:

      title (str): title

  text_edit() → None

    Edit data set with text input only

  to_html() → str

    Return HTML representation of the dataset.

    Similar to Sigima’s TableResult transpose format with:

    - Title and comment in blue

    - Two-column table: item names (right-aligned) and values (left-aligned)

    - For BoolItem: checkbox in first column with label:text formatting

    Returns:

      HTML representation

  to_string(debug: bool | None = False, indent: str | None = None, align: bool | None = False, show_hidden: bool | None = True) → str

    Return readable string representation of the data set If debug is True, add more details on data items

    Args:

      debug (bool): if True, add more details on data items indent (str): indentation string (default is None,

      > meaning no indentation)

      align (bool): if True, align data items (default is False) show_hidden (bool): if True, show hidden data items

      > (default is True)

    Returns:

      str: string representation of the data set

  view(parent: QWidget | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None) → None

    Open a dialog box to view data set

    Args:

      parent: parent widget (default is None, meaning no parent) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height))

  write_config(conf: UserConfig, section: str, option: str) → None

    Write configuration to a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

class guiqwt.styles.ErrorBarParam(title: str | None = None, comment: str | None = None, icon: str = '', readonly: bool = False, skip_defaults: bool = False)
  accept(vis: object) → None

    Helper function that passes the visitor to the accept methods of all the items in this dataset

    Args:

      vis (object): visitor object

  check() → list[str]

    Check the dataset item values

    Returns:

      list[str]: list of errors

  classmethod create(**kwargs) → AnyDataSet

    Create a new instance of the DataSet class

    Args:

      kwargs: keyword arguments to set the DataItem values

    Returns:

      DataSet instance

  deserialize(reader: HDF5Reader | JSONReader | INIReader) → None

    Deserialize the dataset

    Args:

      reader (HDF5Reader | JSONReader | INIReader): reader object

  edit(parent: QWidget | None = None, apply: Callable | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None, object_name: str | None = None) → int

    Open a dialog box to edit data set

    Args:

      parent: parent widget (default is None, meaning no parent) apply: apply callback (default is None) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height)) object_name: object name for the dialog (default is None, meaning

      > use class name + “Dialog”)

    Returns:

      Dialog exit code.

  get_comment() → str | None

    Return data set comment

    Returns:

      str | None: comment

  get_icon() → str | None

    Return data set icon

    Returns:

      str | None: icon

  get_items(copy=False) → list[DataItem]

    Returns all the DataItem objects from the DataSet instance. Ignore private items that have a name starting with an underscore (e.g. ‘_private_item = …’)

    Args:

      copy: If True, deepcopy the DataItem list, else return the original. Defaults to False.

    Returns:

      _description_

  get_title() → str

    Return data set title

    Returns:

      str: title

  read_config(conf: UserConfig, section: str, option: str) → None

    Read configuration from a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

  serialize(writer: HDF5Writer | JSONWriter | INIWriter) → None

    Serialize the dataset

    Args:

      writer (HDF5Writer | JSONWriter | INIWriter): writer object

  set_comment(comment: str | None) → None

    Set data set comment

    Args:

      comment (str | None): comment

  set_defaults() → None

    Set default values

  classmethod set_global_prop(realm: str, **kwargs) → None

    Set global properties for all data items in the dataset

    Args:

      realm (str): realm name kwargs (dict): properties to set

  set_icon(icon: str) → None

    Set data set icon

    Args:

      icon (str): icon

  set_title(title: str) → None

    Set data set title

    Args:

      title (str): title

  text_edit() → None

    Edit data set with text input only

  to_html() → str

    Return HTML representation of the dataset.

    Similar to Sigima’s TableResult transpose format with:

    - Title and comment in blue

    - Two-column table: item names (right-aligned) and values (left-aligned)

    - For BoolItem: checkbox in first column with label:text formatting

    Returns:

      HTML representation

  to_string(debug: bool | None = False, indent: str | None = None, align: bool | None = False, show_hidden: bool | None = True) → str

    Return readable string representation of the data set If debug is True, add more details on data items

    Args:

      debug (bool): if True, add more details on data items indent (str): indentation string (default is None,

      > meaning no indentation)

      align (bool): if True, align data items (default is False) show_hidden (bool): if True, show hidden data items

      > (default is True)

    Returns:

      str: string representation of the data set

  view(parent: QWidget | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None) → None

    Open a dialog box to view data set

    Args:

      parent: parent widget (default is None, meaning no parent) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height))

  write_config(conf: UserConfig, section: str, option: str) → None

    Write configuration to a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

class guiqwt.styles.GridParam(title: str | None = None, comment: str | None = None, icon: str = '', readonly: bool = False, skip_defaults: bool = False)
  accept(vis: object) → None

    Helper function that passes the visitor to the accept methods of all the items in this dataset

    Args:

      vis (object): visitor object

  check() → list[str]

    Check the dataset item values

    Returns:

      list[str]: list of errors

  classmethod create(**kwargs) → AnyDataSet

    Create a new instance of the DataSet class

    Args:

      kwargs: keyword arguments to set the DataItem values

    Returns:

      DataSet instance

  deserialize(reader: HDF5Reader | JSONReader | INIReader) → None

    Deserialize the dataset

    Args:

      reader (HDF5Reader | JSONReader | INIReader): reader object

  edit(parent: QWidget | None = None, apply: Callable | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None, object_name: str | None = None) → int

    Open a dialog box to edit data set

    Args:

      parent: parent widget (default is None, meaning no parent) apply: apply callback (default is None) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height)) object_name: object name for the dialog (default is None, meaning

      > use class name + “Dialog”)

    Returns:

      Dialog exit code.

  get_comment() → str | None

    Return data set comment

    Returns:

      str | None: comment

  get_icon() → str | None

    Return data set icon

    Returns:

      str | None: icon

  get_items(copy=False) → list[DataItem]

    Returns all the DataItem objects from the DataSet instance. Ignore private items that have a name starting with an underscore (e.g. ‘_private_item = …’)

    Args:

      copy: If True, deepcopy the DataItem list, else return the original. Defaults to False.

    Returns:

      _description_

  get_title() → str

    Return data set title

    Returns:

      str: title

  read_config(conf: UserConfig, section: str, option: str) → None

    Read configuration from a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

  serialize(writer: HDF5Writer | JSONWriter | INIWriter) → None

    Serialize the dataset

    Args:

      writer (HDF5Writer | JSONWriter | INIWriter): writer object

  set_comment(comment: str | None) → None

    Set data set comment

    Args:

      comment (str | None): comment

  set_defaults() → None

    Set default values

  classmethod set_global_prop(realm: str, **kwargs) → None

    Set global properties for all data items in the dataset

    Args:

      realm (str): realm name kwargs (dict): properties to set

  set_icon(icon: str) → None

    Set data set icon

    Args:

      icon (str): icon

  set_title(title: str) → None

    Set data set title

    Args:

      title (str): title

  text_edit() → None

    Edit data set with text input only

  to_html() → str

    Return HTML representation of the dataset.

    Similar to Sigima’s TableResult transpose format with:

    - Title and comment in blue

    - Two-column table: item names (right-aligned) and values (left-aligned)

    - For BoolItem: checkbox in first column with label:text formatting

    Returns:

      HTML representation

  to_string(debug: bool | None = False, indent: str | None = None, align: bool | None = False, show_hidden: bool | None = True) → str

    Return readable string representation of the data set If debug is True, add more details on data items

    Args:

      debug (bool): if True, add more details on data items indent (str): indentation string (default is None,

      > meaning no indentation)

      align (bool): if True, align data items (default is False) show_hidden (bool): if True, show hidden data items

      > (default is True)

    Returns:

      str: string representation of the data set

  view(parent: QWidget | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None) → None

    Open a dialog box to view data set

    Args:

      parent: parent widget (default is None, meaning no parent) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height))

  write_config(conf: UserConfig, section: str, option: str) → None

    Write configuration to a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

class guiqwt.styles.ImageParam(title: str | None = None, comment: str | None = None, icon: str = '', readonly: bool = False, skip_defaults: bool = False)
  accept(vis: object) → None

    Helper function that passes the visitor to the accept methods of all the items in this dataset

    Args:

      vis (object): visitor object

  check() → list[str]

    Check the dataset item values

    Returns:

      list[str]: list of errors

  classmethod create(**kwargs) → AnyDataSet

    Create a new instance of the DataSet class

    Args:

      kwargs: keyword arguments to set the DataItem values

    Returns:

      DataSet instance

  deserialize(reader: HDF5Reader | JSONReader | INIReader) → None

    Deserialize the dataset

    Args:

      reader (HDF5Reader | JSONReader | INIReader): reader object

  edit(parent: QWidget | None = None, apply: Callable | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None, object_name: str | None = None) → int

    Open a dialog box to edit data set

    Args:

      parent: parent widget (default is None, meaning no parent) apply: apply callback (default is None) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height)) object_name: object name for the dialog (default is None, meaning

      > use class name + “Dialog”)

    Returns:

      Dialog exit code.

  get_comment() → str | None

    Return data set comment

    Returns:

      str | None: comment

  get_icon() → str | None

    Return data set icon

    Returns:

      str | None: icon

  get_items(copy=False) → list[DataItem]

    Returns all the DataItem objects from the DataSet instance. Ignore private items that have a name starting with an underscore (e.g. ‘_private_item = …’)

    Args:

      copy: If True, deepcopy the DataItem list, else return the original. Defaults to False.

    Returns:

      _description_

  get_title() → str

    Return data set title

    Returns:

      str: title

  read_config(conf: UserConfig, section: str, option: str) → None

    Read configuration from a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

  serialize(writer: HDF5Writer | JSONWriter | INIWriter) → None

    Serialize the dataset

    Args:

      writer (HDF5Writer | JSONWriter | INIWriter): writer object

  set_comment(comment: str | None) → None

    Set data set comment

    Args:

      comment (str | None): comment

  set_defaults() → None

    Set default values

  classmethod set_global_prop(realm: str, **kwargs) → None

    Set global properties for all data items in the dataset

    Args:

      realm (str): realm name kwargs (dict): properties to set

  set_icon(icon: str) → None

    Set data set icon

    Args:

      icon (str): icon

  set_title(title: str) → None

    Set data set title

    Args:

      title (str): title

  text_edit() → None

    Edit data set with text input only

  to_html() → str

    Return HTML representation of the dataset.

    Similar to Sigima’s TableResult transpose format with:

    - Title and comment in blue

    - Two-column table: item names (right-aligned) and values (left-aligned)

    - For BoolItem: checkbox in first column with label:text formatting

    Returns:

      HTML representation

  to_string(debug: bool | None = False, indent: str | None = None, align: bool | None = False, show_hidden: bool | None = True) → str

    Return readable string representation of the data set If debug is True, add more details on data items

    Args:

      debug (bool): if True, add more details on data items indent (str): indentation string (default is None,

      > meaning no indentation)

      align (bool): if True, align data items (default is False) show_hidden (bool): if True, show hidden data items

      > (default is True)

    Returns:

      str: string representation of the data set

  view(parent: QWidget | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None) → None

    Open a dialog box to view data set

    Args:

      parent: parent widget (default is None, meaning no parent) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height))

  write_config(conf: UserConfig, section: str, option: str) → None

    Write configuration to a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

class guiqwt.styles.TrImageParam(title: str | None = None, comment: str | None = None, icon: str = '', readonly: bool = False, skip_defaults: bool = False)
  accept(vis: object) → None

    Helper function that passes the visitor to the accept methods of all the items in this dataset

    Args:

      vis (object): visitor object

  check() → list[str]

    Check the dataset item values

    Returns:

      list[str]: list of errors

  classmethod create(**kwargs) → AnyDataSet

    Create a new instance of the DataSet class

    Args:

      kwargs: keyword arguments to set the DataItem values

    Returns:

      DataSet instance

  deserialize(reader: HDF5Reader | JSONReader | INIReader) → None

    Deserialize the dataset

    Args:

      reader (HDF5Reader | JSONReader | INIReader): reader object

  edit(parent: QWidget | None = None, apply: Callable | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None, object_name: str | None = None) → int

    Open a dialog box to edit data set

    Args:

      parent: parent widget (default is None, meaning no parent) apply: apply callback (default is None) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height)) object_name: object name for the dialog (default is None, meaning

      > use class name + “Dialog”)

    Returns:

      Dialog exit code.

  get_comment() → str | None

    Return data set comment

    Returns:

      str | None: comment

  get_icon() → str | None

    Return data set icon

    Returns:

      str | None: icon

  get_items(copy=False) → list[DataItem]

    Returns all the DataItem objects from the DataSet instance. Ignore private items that have a name starting with an underscore (e.g. ‘_private_item = …’)

    Args:

      copy: If True, deepcopy the DataItem list, else return the original. Defaults to False.

    Returns:

      _description_

  get_title() → str

    Return data set title

    Returns:

      str: title

  read_config(conf: UserConfig, section: str, option: str) → None

    Read configuration from a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

  serialize(writer: HDF5Writer | JSONWriter | INIWriter) → None

    Serialize the dataset

    Args:

      writer (HDF5Writer | JSONWriter | INIWriter): writer object

  set_comment(comment: str | None) → None

    Set data set comment

    Args:

      comment (str | None): comment

  set_defaults() → None

    Set default values

  classmethod set_global_prop(realm: str, **kwargs) → None

    Set global properties for all data items in the dataset

    Args:

      realm (str): realm name kwargs (dict): properties to set

  set_icon(icon: str) → None

    Set data set icon

    Args:

      icon (str): icon

  set_title(title: str) → None

    Set data set title

    Args:

      title (str): title

  text_edit() → None

    Edit data set with text input only

  to_html() → str

    Return HTML representation of the dataset.

    Similar to Sigima’s TableResult transpose format with:

    - Title and comment in blue

    - Two-column table: item names (right-aligned) and values (left-aligned)

    - For BoolItem: checkbox in first column with label:text formatting

    Returns:

      HTML representation

  to_string(debug: bool | None = False, indent: str | None = None, align: bool | None = False, show_hidden: bool | None = True) → str

    Return readable string representation of the data set If debug is True, add more details on data items

    Args:

      debug (bool): if True, add more details on data items indent (str): indentation string (default is None,

      > meaning no indentation)

      align (bool): if True, align data items (default is False) show_hidden (bool): if True, show hidden data items

      > (default is True)

    Returns:

      str: string representation of the data set

  view(parent: QWidget | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None) → None

    Open a dialog box to view data set

    Args:

      parent: parent widget (default is None, meaning no parent) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height))

  write_config(conf: UserConfig, section: str, option: str) → None

    Write configuration to a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

class guiqwt.styles.ImageFilterParam(title: str | None = None, comment: str | None = None, icon: str = '', readonly: bool = False, skip_defaults: bool = False)
  accept(vis: object) → None

    Helper function that passes the visitor to the accept methods of all the items in this dataset

    Args:

      vis (object): visitor object

  check() → list[str]

    Check the dataset item values

    Returns:

      list[str]: list of errors

  classmethod create(**kwargs) → AnyDataSet

    Create a new instance of the DataSet class

    Args:

      kwargs: keyword arguments to set the DataItem values

    Returns:

      DataSet instance

  deserialize(reader: HDF5Reader | JSONReader | INIReader) → None

    Deserialize the dataset

    Args:

      reader (HDF5Reader | JSONReader | INIReader): reader object

  edit(parent: QWidget | None = None, apply: Callable | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None, object_name: str | None = None) → int

    Open a dialog box to edit data set

    Args:

      parent: parent widget (default is None, meaning no parent) apply: apply callback (default is None) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height)) object_name: object name for the dialog (default is None, meaning

      > use class name + “Dialog”)

    Returns:

      Dialog exit code.

  get_comment() → str | None

    Return data set comment

    Returns:

      str | None: comment

  get_icon() → str | None

    Return data set icon

    Returns:

      str | None: icon

  get_items(copy=False) → list[DataItem]

    Returns all the DataItem objects from the DataSet instance. Ignore private items that have a name starting with an underscore (e.g. ‘_private_item = …’)

    Args:

      copy: If True, deepcopy the DataItem list, else return the original. Defaults to False.

    Returns:

      _description_

  get_title() → str

    Return data set title

    Returns:

      str: title

  read_config(conf: UserConfig, section: str, option: str) → None

    Read configuration from a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

  serialize(writer: HDF5Writer | JSONWriter | INIWriter) → None

    Serialize the dataset

    Args:

      writer (HDF5Writer | JSONWriter | INIWriter): writer object

  set_comment(comment: str | None) → None

    Set data set comment

    Args:

      comment (str | None): comment

  set_defaults() → None

    Set default values

  classmethod set_global_prop(realm: str, **kwargs) → None

    Set global properties for all data items in the dataset

    Args:

      realm (str): realm name kwargs (dict): properties to set

  set_icon(icon: str) → None

    Set data set icon

    Args:

      icon (str): icon

  set_title(title: str) → None

    Set data set title

    Args:

      title (str): title

  text_edit() → None

    Edit data set with text input only

  to_html() → str

    Return HTML representation of the dataset.

    Similar to Sigima’s TableResult transpose format with:

    - Title and comment in blue

    - Two-column table: item names (right-aligned) and values (left-aligned)

    - For BoolItem: checkbox in first column with label:text formatting

    Returns:

      HTML representation

  to_string(debug: bool | None = False, indent: str | None = None, align: bool | None = False, show_hidden: bool | None = True) → str

    Return readable string representation of the data set If debug is True, add more details on data items

    Args:

      debug (bool): if True, add more details on data items indent (str): indentation string (default is None,

      > meaning no indentation)

      align (bool): if True, align data items (default is False) show_hidden (bool): if True, show hidden data items

      > (default is True)

    Returns:

      str: string representation of the data set

  view(parent: QWidget | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None) → None

    Open a dialog box to view data set

    Args:

      parent: parent widget (default is None, meaning no parent) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height))

  write_config(conf: UserConfig, section: str, option: str) → None

    Write configuration to a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

class guiqwt.styles.HistogramParam(title: str | None = None, comment: str | None = None, icon: str = '', readonly: bool = False, skip_defaults: bool = False)
  accept(vis: object) → None

    Helper function that passes the visitor to the accept methods of all the items in this dataset

    Args:

      vis (object): visitor object

  check() → list[str]

    Check the dataset item values

    Returns:

      list[str]: list of errors

  classmethod create(**kwargs) → AnyDataSet

    Create a new instance of the DataSet class

    Args:

      kwargs: keyword arguments to set the DataItem values

    Returns:

      DataSet instance

  deserialize(reader: HDF5Reader | JSONReader | INIReader) → None

    Deserialize the dataset

    Args:

      reader (HDF5Reader | JSONReader | INIReader): reader object

  edit(parent: QWidget | None = None, apply: Callable | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None, object_name: str | None = None) → int

    Open a dialog box to edit data set

    Args:

      parent: parent widget (default is None, meaning no parent) apply: apply callback (default is None) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height)) object_name: object name for the dialog (default is None, meaning

      > use class name + “Dialog”)

    Returns:

      Dialog exit code.

  get_comment() → str | None

    Return data set comment

    Returns:

      str | None: comment

  get_icon() → str | None

    Return data set icon

    Returns:

      str | None: icon

  get_items(copy=False) → list[DataItem]

    Returns all the DataItem objects from the DataSet instance. Ignore private items that have a name starting with an underscore (e.g. ‘_private_item = …’)

    Args:

      copy: If True, deepcopy the DataItem list, else return the original. Defaults to False.

    Returns:

      _description_

  get_title() → str

    Return data set title

    Returns:

      str: title

  read_config(conf: UserConfig, section: str, option: str) → None

    Read configuration from a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

  serialize(writer: HDF5Writer | JSONWriter | INIWriter) → None

    Serialize the dataset

    Args:

      writer (HDF5Writer | JSONWriter | INIWriter): writer object

  set_comment(comment: str | None) → None

    Set data set comment

    Args:

      comment (str | None): comment

  set_defaults() → None

    Set default values

  classmethod set_global_prop(realm: str, **kwargs) → None

    Set global properties for all data items in the dataset

    Args:

      realm (str): realm name kwargs (dict): properties to set

  set_icon(icon: str) → None

    Set data set icon

    Args:

      icon (str): icon

  set_title(title: str) → None

    Set data set title

    Args:

      title (str): title

  text_edit() → None

    Edit data set with text input only

  to_html() → str

    Return HTML representation of the dataset.

    Similar to Sigima’s TableResult transpose format with:

    - Title and comment in blue

    - Two-column table: item names (right-aligned) and values (left-aligned)

    - For BoolItem: checkbox in first column with label:text formatting

    Returns:

      HTML representation

  to_string(debug: bool | None = False, indent: str | None = None, align: bool | None = False, show_hidden: bool | None = True) → str

    Return readable string representation of the data set If debug is True, add more details on data items

    Args:

      debug (bool): if True, add more details on data items indent (str): indentation string (default is None,

      > meaning no indentation)

      align (bool): if True, align data items (default is False) show_hidden (bool): if True, show hidden data items

      > (default is True)

    Returns:

      str: string representation of the data set

  view(parent: QWidget | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None) → None

    Open a dialog box to view data set

    Args:

      parent: parent widget (default is None, meaning no parent) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height))

  write_config(conf: UserConfig, section: str, option: str) → None

    Write configuration to a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

class guiqwt.styles.Histogram2DParam(title: str | None = None, comment: str | None = None, icon: str = '', readonly: bool = False, skip_defaults: bool = False)

  Histogram

  accept(vis: object) → None

    Helper function that passes the visitor to the accept methods of all the items in this dataset

    Args:

      vis (object): visitor object

  check() → list[str]

    Check the dataset item values

    Returns:

      list[str]: list of errors

  classmethod create(**kwargs) → AnyDataSet

    Create a new instance of the DataSet class

    Args:

      kwargs: keyword arguments to set the DataItem values

    Returns:

      DataSet instance

  deserialize(reader: HDF5Reader | JSONReader | INIReader) → None

    Deserialize the dataset

    Args:

      reader (HDF5Reader | JSONReader | INIReader): reader object

  edit(parent: QWidget | None = None, apply: Callable | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None, object_name: str | None = None) → int

    Open a dialog box to edit data set

    Args:

      parent: parent widget (default is None, meaning no parent) apply: apply callback (default is None) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height)) object_name: object name for the dialog (default is None, meaning

      > use class name + “Dialog”)

    Returns:

      Dialog exit code.

  get_comment() → str | None

    Return data set comment

    Returns:

      str | None: comment

  get_icon() → str | None

    Return data set icon

    Returns:

      str | None: icon

  get_items(copy=False) → list[DataItem]

    Returns all the DataItem objects from the DataSet instance. Ignore private items that have a name starting with an underscore (e.g. ‘_private_item = …’)

    Args:

      copy: If True, deepcopy the DataItem list, else return the original. Defaults to False.

    Returns:

      _description_

  get_title() → str

    Return data set title

    Returns:

      str: title

  read_config(conf: UserConfig, section: str, option: str) → None

    Read configuration from a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

  serialize(writer: HDF5Writer | JSONWriter | INIWriter) → None

    Serialize the dataset

    Args:

      writer (HDF5Writer | JSONWriter | INIWriter): writer object

  set_comment(comment: str | None) → None

    Set data set comment

    Args:

      comment (str | None): comment

  set_defaults() → None

    Set default values

  classmethod set_global_prop(realm: str, **kwargs) → None

    Set global properties for all data items in the dataset

    Args:

      realm (str): realm name kwargs (dict): properties to set

  set_icon(icon: str) → None

    Set data set icon

    Args:

      icon (str): icon

  set_title(title: str) → None

    Set data set title

    Args:

      title (str): title

  text_edit() → None

    Edit data set with text input only

  to_html() → str

    Return HTML representation of the dataset.

    Similar to Sigima’s TableResult transpose format with:

    - Title and comment in blue

    - Two-column table: item names (right-aligned) and values (left-aligned)

    - For BoolItem: checkbox in first column with label:text formatting

    Returns:

      HTML representation

  to_string(debug: bool | None = False, indent: str | None = None, align: bool | None = False, show_hidden: bool | None = True) → str

    Return readable string representation of the data set If debug is True, add more details on data items

    Args:

      debug (bool): if True, add more details on data items indent (str): indentation string (default is None,

      > meaning no indentation)

      align (bool): if True, align data items (default is False) show_hidden (bool): if True, show hidden data items

      > (default is True)

    Returns:

      str: string representation of the data set

  view(parent: QWidget | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None) → None

    Open a dialog box to view data set

    Args:

      parent: parent widget (default is None, meaning no parent) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height))

  write_config(conf: UserConfig, section: str, option: str) → None

    Write configuration to a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

class guiqwt.styles.AxesParam(title: str | None = None, comment: str | None = None, icon: str = '', readonly: bool = False, skip_defaults: bool = False)
  accept(vis: object) → None

    Helper function that passes the visitor to the accept methods of all the items in this dataset

    Args:

      vis (object): visitor object

  check() → list[str]

    Check the dataset item values

    Returns:

      list[str]: list of errors

  classmethod create(**kwargs) → AnyDataSet

    Create a new instance of the DataSet class

    Args:

      kwargs: keyword arguments to set the DataItem values

    Returns:

      DataSet instance

  deserialize(reader: HDF5Reader | JSONReader | INIReader) → None

    Deserialize the dataset

    Args:

      reader (HDF5Reader | JSONReader | INIReader): reader object

  edit(parent: QWidget | None = None, apply: Callable | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None, object_name: str | None = None) → int

    Open a dialog box to edit data set

    Args:

      parent: parent widget (default is None, meaning no parent) apply: apply callback (default is None) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height)) object_name: object name for the dialog (default is None, meaning

      > use class name + “Dialog”)

    Returns:

      Dialog exit code.

  get_comment() → str | None

    Return data set comment

    Returns:

      str | None: comment

  get_icon() → str | None

    Return data set icon

    Returns:

      str | None: icon

  get_items(copy=False) → list[DataItem]

    Returns all the DataItem objects from the DataSet instance. Ignore private items that have a name starting with an underscore (e.g. ‘_private_item = …’)

    Args:

      copy: If True, deepcopy the DataItem list, else return the original. Defaults to False.

    Returns:

      _description_

  get_title() → str

    Return data set title

    Returns:

      str: title

  read_config(conf: UserConfig, section: str, option: str) → None

    Read configuration from a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

  serialize(writer: HDF5Writer | JSONWriter | INIWriter) → None

    Serialize the dataset

    Args:

      writer (HDF5Writer | JSONWriter | INIWriter): writer object

  set_comment(comment: str | None) → None

    Set data set comment

    Args:

      comment (str | None): comment

  set_defaults() → None

    Set default values

  classmethod set_global_prop(realm: str, **kwargs) → None

    Set global properties for all data items in the dataset

    Args:

      realm (str): realm name kwargs (dict): properties to set

  set_icon(icon: str) → None

    Set data set icon

    Args:

      icon (str): icon

  set_title(title: str) → None

    Set data set title

    Args:

      title (str): title

  text_edit() → None

    Edit data set with text input only

  to_html() → str

    Return HTML representation of the dataset.

    Similar to Sigima’s TableResult transpose format with:

    - Title and comment in blue

    - Two-column table: item names (right-aligned) and values (left-aligned)

    - For BoolItem: checkbox in first column with label:text formatting

    Returns:

      HTML representation

  to_string(debug: bool | None = False, indent: str | None = None, align: bool | None = False, show_hidden: bool | None = True) → str

    Return readable string representation of the data set If debug is True, add more details on data items

    Args:

      debug (bool): if True, add more details on data items indent (str): indentation string (default is None,

      > meaning no indentation)

      align (bool): if True, align data items (default is False) show_hidden (bool): if True, show hidden data items

      > (default is True)

    Returns:

      str: string representation of the data set

  view(parent: QWidget | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None) → None

    Open a dialog box to view data set

    Args:

      parent: parent widget (default is None, meaning no parent) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height))

  write_config(conf: UserConfig, section: str, option: str) → None

    Write configuration to a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

class guiqwt.styles.ImageAxesParam(title: str | None = None, comment: str | None = None, icon: str = '', readonly: bool = False, skip_defaults: bool = False)
  accept(vis: object) → None

    Helper function that passes the visitor to the accept methods of all the items in this dataset

    Args:

      vis (object): visitor object

  check() → list[str]

    Check the dataset item values

    Returns:

      list[str]: list of errors

  classmethod create(**kwargs) → AnyDataSet

    Create a new instance of the DataSet class

    Args:

      kwargs: keyword arguments to set the DataItem values

    Returns:

      DataSet instance

  deserialize(reader: HDF5Reader | JSONReader | INIReader) → None

    Deserialize the dataset

    Args:

      reader (HDF5Reader | JSONReader | INIReader): reader object

  edit(parent: QWidget | None = None, apply: Callable | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None, object_name: str | None = None) → int

    Open a dialog box to edit data set

    Args:

      parent: parent widget (default is None, meaning no parent) apply: apply callback (default is None) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height)) object_name: object name for the dialog (default is None, meaning

      > use class name + “Dialog”)

    Returns:

      Dialog exit code.

  get_comment() → str | None

    Return data set comment

    Returns:

      str | None: comment

  get_icon() → str | None

    Return data set icon

    Returns:

      str | None: icon

  get_items(copy=False) → list[DataItem]

    Returns all the DataItem objects from the DataSet instance. Ignore private items that have a name starting with an underscore (e.g. ‘_private_item = …’)

    Args:

      copy: If True, deepcopy the DataItem list, else return the original. Defaults to False.

    Returns:

      _description_

  get_title() → str

    Return data set title

    Returns:

      str: title

  read_config(conf: UserConfig, section: str, option: str) → None

    Read configuration from a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

  serialize(writer: HDF5Writer | JSONWriter | INIWriter) → None

    Serialize the dataset

    Args:

      writer (HDF5Writer | JSONWriter | INIWriter): writer object

  set_comment(comment: str | None) → None

    Set data set comment

    Args:

      comment (str | None): comment

  set_defaults() → None

    Set default values

  classmethod set_global_prop(realm: str, **kwargs) → None

    Set global properties for all data items in the dataset

    Args:

      realm (str): realm name kwargs (dict): properties to set

  set_icon(icon: str) → None

    Set data set icon

    Args:

      icon (str): icon

  set_title(title: str) → None

    Set data set title

    Args:

      title (str): title

  text_edit() → None

    Edit data set with text input only

  to_html() → str

    Return HTML representation of the dataset.

    Similar to Sigima’s TableResult transpose format with:

    - Title and comment in blue

    - Two-column table: item names (right-aligned) and values (left-aligned)

    - For BoolItem: checkbox in first column with label:text formatting

    Returns:

      HTML representation

  to_string(debug: bool | None = False, indent: str | None = None, align: bool | None = False, show_hidden: bool | None = True) → str

    Return readable string representation of the data set If debug is True, add more details on data items

    Args:

      debug (bool): if True, add more details on data items indent (str): indentation string (default is None,

      > meaning no indentation)

      align (bool): if True, align data items (default is False) show_hidden (bool): if True, show hidden data items

      > (default is True)

    Returns:

      str: string representation of the data set

  view(parent: QWidget | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None) → None

    Open a dialog box to view data set

    Args:

      parent: parent widget (default is None, meaning no parent) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height))

  write_config(conf: UserConfig, section: str, option: str) → None

    Write configuration to a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

class guiqwt.styles.LabelParam(title: str | None = None, comment: str | None = None, icon: str = '', readonly: bool = False, skip_defaults: bool = False)
  accept(vis: object) → None

    Helper function that passes the visitor to the accept methods of all the items in this dataset

    Args:

      vis (object): visitor object

  check() → list[str]

    Check the dataset item values

    Returns:

      list[str]: list of errors

  classmethod create(**kwargs) → AnyDataSet

    Create a new instance of the DataSet class

    Args:

      kwargs: keyword arguments to set the DataItem values

    Returns:

      DataSet instance

  deserialize(reader: HDF5Reader | JSONReader | INIReader) → None

    Deserialize the dataset

    Args:

      reader (HDF5Reader | JSONReader | INIReader): reader object

  edit(parent: QWidget | None = None, apply: Callable | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None, object_name: str | None = None) → int

    Open a dialog box to edit data set

    Args:

      parent: parent widget (default is None, meaning no parent) apply: apply callback (default is None) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height)) object_name: object name for the dialog (default is None, meaning

      > use class name + “Dialog”)

    Returns:

      Dialog exit code.

  get_comment() → str | None

    Return data set comment

    Returns:

      str | None: comment

  get_icon() → str | None

    Return data set icon

    Returns:

      str | None: icon

  get_items(copy=False) → list[DataItem]

    Returns all the DataItem objects from the DataSet instance. Ignore private items that have a name starting with an underscore (e.g. ‘_private_item = …’)

    Args:

      copy: If True, deepcopy the DataItem list, else return the original. Defaults to False.

    Returns:

      _description_

  get_title() → str

    Return data set title

    Returns:

      str: title

  read_config(conf: UserConfig, section: str, option: str) → None

    Read configuration from a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

  serialize(writer: HDF5Writer | JSONWriter | INIWriter) → None

    Serialize the dataset

    Args:

      writer (HDF5Writer | JSONWriter | INIWriter): writer object

  set_comment(comment: str | None) → None

    Set data set comment

    Args:

      comment (str | None): comment

  set_defaults() → None

    Set default values

  classmethod set_global_prop(realm: str, **kwargs) → None

    Set global properties for all data items in the dataset

    Args:

      realm (str): realm name kwargs (dict): properties to set

  set_icon(icon: str) → None

    Set data set icon

    Args:

      icon (str): icon

  set_title(title: str) → None

    Set data set title

    Args:

      title (str): title

  text_edit() → None

    Edit data set with text input only

  to_html() → str

    Return HTML representation of the dataset.

    Similar to Sigima’s TableResult transpose format with:

    - Title and comment in blue

    - Two-column table: item names (right-aligned) and values (left-aligned)

    - For BoolItem: checkbox in first column with label:text formatting

    Returns:

      HTML representation

  to_string(debug: bool | None = False, indent: str | None = None, align: bool | None = False, show_hidden: bool | None = True) → str

    Return readable string representation of the data set If debug is True, add more details on data items

    Args:

      debug (bool): if True, add more details on data items indent (str): indentation string (default is None,

      > meaning no indentation)

      align (bool): if True, align data items (default is False) show_hidden (bool): if True, show hidden data items

      > (default is True)

    Returns:

      str: string representation of the data set

  view(parent: QWidget | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None) → None

    Open a dialog box to view data set

    Args:

      parent: parent widget (default is None, meaning no parent) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height))

  write_config(conf: UserConfig, section: str, option: str) → None

    Write configuration to a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

class guiqwt.styles.LegendParam(title: str | None = None, comment: str | None = None, icon: str = '', readonly: bool = False, skip_defaults: bool = False)
  accept(vis: object) → None

    Helper function that passes the visitor to the accept methods of all the items in this dataset

    Args:

      vis (object): visitor object

  check() → list[str]

    Check the dataset item values

    Returns:

      list[str]: list of errors

  classmethod create(**kwargs) → AnyDataSet

    Create a new instance of the DataSet class

    Args:

      kwargs: keyword arguments to set the DataItem values

    Returns:

      DataSet instance

  deserialize(reader: HDF5Reader | JSONReader | INIReader) → None

    Deserialize the dataset

    Args:

      reader (HDF5Reader | JSONReader | INIReader): reader object

  edit(parent: QWidget | None = None, apply: Callable | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None, object_name: str | None = None) → int

    Open a dialog box to edit data set

    Args:

      parent: parent widget (default is None, meaning no parent) apply: apply callback (default is None) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height)) object_name: object name for the dialog (default is None, meaning

      > use class name + “Dialog”)

    Returns:

      Dialog exit code.

  get_comment() → str | None

    Return data set comment

    Returns:

      str | None: comment

  get_icon() → str | None

    Return data set icon

    Returns:

      str | None: icon

  get_items(copy=False) → list[DataItem]

    Returns all the DataItem objects from the DataSet instance. Ignore private items that have a name starting with an underscore (e.g. ‘_private_item = …’)

    Args:

      copy: If True, deepcopy the DataItem list, else return the original. Defaults to False.

    Returns:

      _description_

  get_title() → str

    Return data set title

    Returns:

      str: title

  read_config(conf: UserConfig, section: str, option: str) → None

    Read configuration from a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

  serialize(writer: HDF5Writer | JSONWriter | INIWriter) → None

    Serialize the dataset

    Args:

      writer (HDF5Writer | JSONWriter | INIWriter): writer object

  set_comment(comment: str | None) → None

    Set data set comment

    Args:

      comment (str | None): comment

  set_defaults() → None

    Set default values

  classmethod set_global_prop(realm: str, **kwargs) → None

    Set global properties for all data items in the dataset

    Args:

      realm (str): realm name kwargs (dict): properties to set

  set_icon(icon: str) → None

    Set data set icon

    Args:

      icon (str): icon

  set_title(title: str) → None

    Set data set title

    Args:

      title (str): title

  text_edit() → None

    Edit data set with text input only

  to_html() → str

    Return HTML representation of the dataset.

    Similar to Sigima’s TableResult transpose format with:

    - Title and comment in blue

    - Two-column table: item names (right-aligned) and values (left-aligned)

    - For BoolItem: checkbox in first column with label:text formatting

    Returns:

      HTML representation

  to_string(debug: bool | None = False, indent: str | None = None, align: bool | None = False, show_hidden: bool | None = True) → str

    Return readable string representation of the data set If debug is True, add more details on data items

    Args:

      debug (bool): if True, add more details on data items indent (str): indentation string (default is None,

      > meaning no indentation)

      align (bool): if True, align data items (default is False) show_hidden (bool): if True, show hidden data items

      > (default is True)

    Returns:

      str: string representation of the data set

  view(parent: QWidget | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None) → None

    Open a dialog box to view data set

    Args:

      parent: parent widget (default is None, meaning no parent) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height))

  write_config(conf: UserConfig, section: str, option: str) → None

    Write configuration to a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

class guiqwt.styles.ShapeParam(title: str | None = None, comment: str | None = None, icon: str = '', readonly: bool = False, skip_defaults: bool = False)
  accept(vis: object) → None

    Helper function that passes the visitor to the accept methods of all the items in this dataset

    Args:

      vis (object): visitor object

  check() → list[str]

    Check the dataset item values

    Returns:

      list[str]: list of errors

  classmethod create(**kwargs) → AnyDataSet

    Create a new instance of the DataSet class

    Args:

      kwargs: keyword arguments to set the DataItem values

    Returns:

      DataSet instance

  deserialize(reader: HDF5Reader | JSONReader | INIReader) → None

    Deserialize the dataset

    Args:

      reader (HDF5Reader | JSONReader | INIReader): reader object

  edit(parent: QWidget | None = None, apply: Callable | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None, object_name: str | None = None) → int

    Open a dialog box to edit data set

    Args:

      parent: parent widget (default is None, meaning no parent) apply: apply callback (default is None) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height)) object_name: object name for the dialog (default is None, meaning

      > use class name + “Dialog”)

    Returns:

      Dialog exit code.

  get_comment() → str | None

    Return data set comment

    Returns:

      str | None: comment

  get_icon() → str | None

    Return data set icon

    Returns:

      str | None: icon

  get_items(copy=False) → list[DataItem]

    Returns all the DataItem objects from the DataSet instance. Ignore private items that have a name starting with an underscore (e.g. ‘_private_item = …’)

    Args:

      copy: If True, deepcopy the DataItem list, else return the original. Defaults to False.

    Returns:

      _description_

  get_title() → str

    Return data set title

    Returns:

      str: title

  read_config(conf: UserConfig, section: str, option: str) → None

    Read configuration from a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

  serialize(writer: HDF5Writer | JSONWriter | INIWriter) → None

    Serialize the dataset

    Args:

      writer (HDF5Writer | JSONWriter | INIWriter): writer object

  set_comment(comment: str | None) → None

    Set data set comment

    Args:

      comment (str | None): comment

  set_defaults() → None

    Set default values

  classmethod set_global_prop(realm: str, **kwargs) → None

    Set global properties for all data items in the dataset

    Args:

      realm (str): realm name kwargs (dict): properties to set

  set_icon(icon: str) → None

    Set data set icon

    Args:

      icon (str): icon

  set_title(title: str) → None

    Set data set title

    Args:

      title (str): title

  text_edit() → None

    Edit data set with text input only

  to_html() → str

    Return HTML representation of the dataset.

    Similar to Sigima’s TableResult transpose format with:

    - Title and comment in blue

    - Two-column table: item names (right-aligned) and values (left-aligned)

    - For BoolItem: checkbox in first column with label:text formatting

    Returns:

      HTML representation

  to_string(debug: bool | None = False, indent: str | None = None, align: bool | None = False, show_hidden: bool | None = True) → str

    Return readable string representation of the data set If debug is True, add more details on data items

    Args:

      debug (bool): if True, add more details on data items indent (str): indentation string (default is None,

      > meaning no indentation)

      align (bool): if True, align data items (default is False) show_hidden (bool): if True, show hidden data items

      > (default is True)

    Returns:

      str: string representation of the data set

  view(parent: QWidget | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None) → None

    Open a dialog box to view data set

    Args:

      parent: parent widget (default is None, meaning no parent) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height))

  write_config(conf: UserConfig, section: str, option: str) → None

    Write configuration to a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

class guiqwt.styles.AnnotationParam(title: str | None = None, comment: str | None = None, icon: str = '', readonly: bool = False, skip_defaults: bool = False)
  accept(vis: object) → None

    Helper function that passes the visitor to the accept methods of all the items in this dataset

    Args:

      vis (object): visitor object

  check() → list[str]

    Check the dataset item values

    Returns:

      list[str]: list of errors

  classmethod create(**kwargs) → AnyDataSet

    Create a new instance of the DataSet class

    Args:

      kwargs: keyword arguments to set the DataItem values

    Returns:

      DataSet instance

  deserialize(reader: HDF5Reader | JSONReader | INIReader) → None

    Deserialize the dataset

    Args:

      reader (HDF5Reader | JSONReader | INIReader): reader object

  edit(parent: QWidget | None = None, apply: Callable | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None, object_name: str | None = None) → int

    Open a dialog box to edit data set

    Args:

      parent: parent widget (default is None, meaning no parent) apply: apply callback (default is None) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height)) object_name: object name for the dialog (default is None, meaning

      > use class name + “Dialog”)

    Returns:

      Dialog exit code.

  get_comment() → str | None

    Return data set comment

    Returns:

      str | None: comment

  get_icon() → str | None

    Return data set icon

    Returns:

      str | None: icon

  get_items(copy=False) → list[DataItem]

    Returns all the DataItem objects from the DataSet instance. Ignore private items that have a name starting with an underscore (e.g. ‘_private_item = …’)

    Args:

      copy: If True, deepcopy the DataItem list, else return the original. Defaults to False.

    Returns:

      _description_

  get_title() → str

    Return data set title

    Returns:

      str: title

  read_config(conf: UserConfig, section: str, option: str) → None

    Read configuration from a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

  serialize(writer: HDF5Writer | JSONWriter | INIWriter) → None

    Serialize the dataset

    Args:

      writer (HDF5Writer | JSONWriter | INIWriter): writer object

  set_comment(comment: str | None) → None

    Set data set comment

    Args:

      comment (str | None): comment

  set_defaults() → None

    Set default values

  classmethod set_global_prop(realm: str, **kwargs) → None

    Set global properties for all data items in the dataset

    Args:

      realm (str): realm name kwargs (dict): properties to set

  set_icon(icon: str) → None

    Set data set icon

    Args:

      icon (str): icon

  set_title(title: str) → None

    Set data set title

    Args:

      title (str): title

  text_edit() → None

    Edit data set with text input only

  to_html() → str

    Return HTML representation of the dataset.

    Similar to Sigima’s TableResult transpose format with:

    - Title and comment in blue

    - Two-column table: item names (right-aligned) and values (left-aligned)

    - For BoolItem: checkbox in first column with label:text formatting

    Returns:

      HTML representation

  to_string(debug: bool | None = False, indent: str | None = None, align: bool | None = False, show_hidden: bool | None = True) → str

    Return readable string representation of the data set If debug is True, add more details on data items

    Args:

      debug (bool): if True, add more details on data items indent (str): indentation string (default is None,

      > meaning no indentation)

      align (bool): if True, align data items (default is False) show_hidden (bool): if True, show hidden data items

      > (default is True)

    Returns:

      str: string representation of the data set

  view(parent: QWidget | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None) → None

    Open a dialog box to view data set

    Args:

      parent: parent widget (default is None, meaning no parent) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height))

  write_config(conf: UserConfig, section: str, option: str) → None

    Write configuration to a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

class guiqwt.styles.AxesShapeParam(title: str | None = None, comment: str | None = None, icon: str = '', readonly: bool = False, skip_defaults: bool = False)
  accept(vis: object) → None

    Helper function that passes the visitor to the accept methods of all the items in this dataset

    Args:

      vis (object): visitor object

  check() → list[str]

    Check the dataset item values

    Returns:

      list[str]: list of errors

  classmethod create(**kwargs) → AnyDataSet

    Create a new instance of the DataSet class

    Args:

      kwargs: keyword arguments to set the DataItem values

    Returns:

      DataSet instance

  deserialize(reader: HDF5Reader | JSONReader | INIReader) → None

    Deserialize the dataset

    Args:

      reader (HDF5Reader | JSONReader | INIReader): reader object

  edit(parent: QWidget | None = None, apply: Callable | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None, object_name: str | None = None) → int

    Open a dialog box to edit data set

    Args:

      parent: parent widget (default is None, meaning no parent) apply: apply callback (default is None) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height)) object_name: object name for the dialog (default is None, meaning

      > use class name + “Dialog”)

    Returns:

      Dialog exit code.

  get_comment() → str | None

    Return data set comment

    Returns:

      str | None: comment

  get_icon() → str | None

    Return data set icon

    Returns:

      str | None: icon

  get_items(copy=False) → list[DataItem]

    Returns all the DataItem objects from the DataSet instance. Ignore private items that have a name starting with an underscore (e.g. ‘_private_item = …’)

    Args:

      copy: If True, deepcopy the DataItem list, else return the original. Defaults to False.

    Returns:

      _description_

  get_title() → str

    Return data set title

    Returns:

      str: title

  read_config(conf: UserConfig, section: str, option: str) → None

    Read configuration from a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

  serialize(writer: HDF5Writer | JSONWriter | INIWriter) → None

    Serialize the dataset

    Args:

      writer (HDF5Writer | JSONWriter | INIWriter): writer object

  set_comment(comment: str | None) → None

    Set data set comment

    Args:

      comment (str | None): comment

  set_defaults() → None

    Set default values

  classmethod set_global_prop(realm: str, **kwargs) → None

    Set global properties for all data items in the dataset

    Args:

      realm (str): realm name kwargs (dict): properties to set

  set_icon(icon: str) → None

    Set data set icon

    Args:

      icon (str): icon

  set_title(title: str) → None

    Set data set title

    Args:

      title (str): title

  text_edit() → None

    Edit data set with text input only

  to_html() → str

    Return HTML representation of the dataset.

    Similar to Sigima’s TableResult transpose format with:

    - Title and comment in blue

    - Two-column table: item names (right-aligned) and values (left-aligned)

    - For BoolItem: checkbox in first column with label:text formatting

    Returns:

      HTML representation

  to_string(debug: bool | None = False, indent: str | None = None, align: bool | None = False, show_hidden: bool | None = True) → str

    Return readable string representation of the data set If debug is True, add more details on data items

    Args:

      debug (bool): if True, add more details on data items indent (str): indentation string (default is None,

      > meaning no indentation)

      align (bool): if True, align data items (default is False) show_hidden (bool): if True, show hidden data items

      > (default is True)

    Returns:

      str: string representation of the data set

  view(parent: QWidget | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None) → None

    Open a dialog box to view data set

    Args:

      parent: parent widget (default is None, meaning no parent) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height))

  write_config(conf: UserConfig, section: str, option: str) → None

    Write configuration to a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

class guiqwt.styles.RangeShapeParam(title: str | None = None, comment: str | None = None, icon: str = '', readonly: bool = False, skip_defaults: bool = False)
  accept(vis: object) → None

    Helper function that passes the visitor to the accept methods of all the items in this dataset

    Args:

      vis (object): visitor object

  check() → list[str]

    Check the dataset item values

    Returns:

      list[str]: list of errors

  classmethod create(**kwargs) → AnyDataSet

    Create a new instance of the DataSet class

    Args:

      kwargs: keyword arguments to set the DataItem values

    Returns:

      DataSet instance

  deserialize(reader: HDF5Reader | JSONReader | INIReader) → None

    Deserialize the dataset

    Args:

      reader (HDF5Reader | JSONReader | INIReader): reader object

  edit(parent: QWidget | None = None, apply: Callable | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None, object_name: str | None = None) → int

    Open a dialog box to edit data set

    Args:

      parent: parent widget (default is None, meaning no parent) apply: apply callback (default is None) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height)) object_name: object name for the dialog (default is None, meaning

      > use class name + “Dialog”)

    Returns:

      Dialog exit code.

  get_comment() → str | None

    Return data set comment

    Returns:

      str | None: comment

  get_icon() → str | None

    Return data set icon

    Returns:

      str | None: icon

  get_items(copy=False) → list[DataItem]

    Returns all the DataItem objects from the DataSet instance. Ignore private items that have a name starting with an underscore (e.g. ‘_private_item = …’)

    Args:

      copy: If True, deepcopy the DataItem list, else return the original. Defaults to False.

    Returns:

      _description_

  get_title() → str

    Return data set title

    Returns:

      str: title

  read_config(conf: UserConfig, section: str, option: str) → None

    Read configuration from a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

  serialize(writer: HDF5Writer | JSONWriter | INIWriter) → None

    Serialize the dataset

    Args:

      writer (HDF5Writer | JSONWriter | INIWriter): writer object

  set_comment(comment: str | None) → None

    Set data set comment

    Args:

      comment (str | None): comment

  set_defaults() → None

    Set default values

  classmethod set_global_prop(realm: str, **kwargs) → None

    Set global properties for all data items in the dataset

    Args:

      realm (str): realm name kwargs (dict): properties to set

  set_icon(icon: str) → None

    Set data set icon

    Args:

      icon (str): icon

  set_title(title: str) → None

    Set data set title

    Args:

      title (str): title

  text_edit() → None

    Edit data set with text input only

  to_html() → str

    Return HTML representation of the dataset.

    Similar to Sigima’s TableResult transpose format with:

    - Title and comment in blue

    - Two-column table: item names (right-aligned) and values (left-aligned)

    - For BoolItem: checkbox in first column with label:text formatting

    Returns:

      HTML representation

  to_string(debug: bool | None = False, indent: str | None = None, align: bool | None = False, show_hidden: bool | None = True) → str

    Return readable string representation of the data set If debug is True, add more details on data items

    Args:

      debug (bool): if True, add more details on data items indent (str): indentation string (default is None,

      > meaning no indentation)

      align (bool): if True, align data items (default is False) show_hidden (bool): if True, show hidden data items

      > (default is True)

    Returns:

      str: string representation of the data set

  view(parent: QWidget | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None) → None

    Open a dialog box to view data set

    Args:

      parent: parent widget (default is None, meaning no parent) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height))

  write_config(conf: UserConfig, section: str, option: str) → None

    Write configuration to a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

class guiqwt.styles.MarkerParam(title: str | None = None, comment: str | None = None, icon: str = '', readonly: bool = False, skip_defaults: bool = False)
  set_markerstyle(style)

    Set marker line style

    style:

    > - convenient values: ‘+’, ‘-’, ‘|’ or None

    > - QwtPlotMarker.NoLine, QwtPlotMarker.Vertical, …

  accept(vis: object) → None

    Helper function that passes the visitor to the accept methods of all the items in this dataset

    Args:

      vis (object): visitor object

  check() → list[str]

    Check the dataset item values

    Returns:

      list[str]: list of errors

  classmethod create(**kwargs) → AnyDataSet

    Create a new instance of the DataSet class

    Args:

      kwargs: keyword arguments to set the DataItem values

    Returns:

      DataSet instance

  deserialize(reader: HDF5Reader | JSONReader | INIReader) → None

    Deserialize the dataset

    Args:

      reader (HDF5Reader | JSONReader | INIReader): reader object

  edit(parent: QWidget | None = None, apply: Callable | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None, object_name: str | None = None) → int

    Open a dialog box to edit data set

    Args:

      parent: parent widget (default is None, meaning no parent) apply: apply callback (default is None) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height)) object_name: object name for the dialog (default is None, meaning

      > use class name + “Dialog”)

    Returns:

      Dialog exit code.

  get_comment() → str | None

    Return data set comment

    Returns:

      str | None: comment

  get_icon() → str | None

    Return data set icon

    Returns:

      str | None: icon

  get_items(copy=False) → list[DataItem]

    Returns all the DataItem objects from the DataSet instance. Ignore private items that have a name starting with an underscore (e.g. ‘_private_item = …’)

    Args:

      copy: If True, deepcopy the DataItem list, else return the original. Defaults to False.

    Returns:

      _description_

  get_title() → str

    Return data set title

    Returns:

      str: title

  read_config(conf: UserConfig, section: str, option: str) → None

    Read configuration from a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

  serialize(writer: HDF5Writer | JSONWriter | INIWriter) → None

    Serialize the dataset

    Args:

      writer (HDF5Writer | JSONWriter | INIWriter): writer object

  set_comment(comment: str | None) → None

    Set data set comment

    Args:

      comment (str | None): comment

  set_defaults() → None

    Set default values

  classmethod set_global_prop(realm: str, **kwargs) → None

    Set global properties for all data items in the dataset

    Args:

      realm (str): realm name kwargs (dict): properties to set

  set_icon(icon: str) → None

    Set data set icon

    Args:

      icon (str): icon

  set_title(title: str) → None

    Set data set title

    Args:

      title (str): title

  text_edit() → None

    Edit data set with text input only

  to_html() → str

    Return HTML representation of the dataset.

    Similar to Sigima’s TableResult transpose format with:

    - Title and comment in blue

    - Two-column table: item names (right-aligned) and values (left-aligned)

    - For BoolItem: checkbox in first column with label:text formatting

    Returns:

      HTML representation

  to_string(debug: bool | None = False, indent: str | None = None, align: bool | None = False, show_hidden: bool | None = True) → str

    Return readable string representation of the data set If debug is True, add more details on data items

    Args:

      debug (bool): if True, add more details on data items indent (str): indentation string (default is None,

      > meaning no indentation)

      align (bool): if True, align data items (default is False) show_hidden (bool): if True, show hidden data items

      > (default is True)

    Returns:

      str: string representation of the data set

  view(parent: QWidget | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None) → None

    Open a dialog box to view data set

    Args:

      parent: parent widget (default is None, meaning no parent) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height))

  write_config(conf: UserConfig, section: str, option: str) → None

    Write configuration to a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

class guiqwt.styles.FontParam(title: str | None = None, comment: str | None = None, icon: str = '', readonly: bool = False, skip_defaults: bool = False)
  accept(vis: object) → None

    Helper function that passes the visitor to the accept methods of all the items in this dataset

    Args:

      vis (object): visitor object

  check() → list[str]

    Check the dataset item values

    Returns:

      list[str]: list of errors

  classmethod create(**kwargs) → AnyDataSet

    Create a new instance of the DataSet class

    Args:

      kwargs: keyword arguments to set the DataItem values

    Returns:

      DataSet instance

  deserialize(reader: HDF5Reader | JSONReader | INIReader) → None

    Deserialize the dataset

    Args:

      reader (HDF5Reader | JSONReader | INIReader): reader object

  edit(parent: QWidget | None = None, apply: Callable | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None, object_name: str | None = None) → int

    Open a dialog box to edit data set

    Args:

      parent: parent widget (default is None, meaning no parent) apply: apply callback (default is None) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height)) object_name: object name for the dialog (default is None, meaning

      > use class name + “Dialog”)

    Returns:

      Dialog exit code.

  get_comment() → str | None

    Return data set comment

    Returns:

      str | None: comment

  get_icon() → str | None

    Return data set icon

    Returns:

      str | None: icon

  get_items(copy=False) → list[DataItem]

    Returns all the DataItem objects from the DataSet instance. Ignore private items that have a name starting with an underscore (e.g. ‘_private_item = …’)

    Args:

      copy: If True, deepcopy the DataItem list, else return the original. Defaults to False.

    Returns:

      _description_

  get_title() → str

    Return data set title

    Returns:

      str: title

  read_config(conf: UserConfig, section: str, option: str) → None

    Read configuration from a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

  serialize(writer: HDF5Writer | JSONWriter | INIWriter) → None

    Serialize the dataset

    Args:

      writer (HDF5Writer | JSONWriter | INIWriter): writer object

  set_comment(comment: str | None) → None

    Set data set comment

    Args:

      comment (str | None): comment

  set_defaults() → None

    Set default values

  classmethod set_global_prop(realm: str, **kwargs) → None

    Set global properties for all data items in the dataset

    Args:

      realm (str): realm name kwargs (dict): properties to set

  set_icon(icon: str) → None

    Set data set icon

    Args:

      icon (str): icon

  set_title(title: str) → None

    Set data set title

    Args:

      title (str): title

  text_edit() → None

    Edit data set with text input only

  to_html() → str

    Return HTML representation of the dataset.

    Similar to Sigima’s TableResult transpose format with:

    - Title and comment in blue

    - Two-column table: item names (right-aligned) and values (left-aligned)

    - For BoolItem: checkbox in first column with label:text formatting

    Returns:

      HTML representation

  to_string(debug: bool | None = False, indent: str | None = None, align: bool | None = False, show_hidden: bool | None = True) → str

    Return readable string representation of the data set If debug is True, add more details on data items

    Args:

      debug (bool): if True, add more details on data items indent (str): indentation string (default is None,

      > meaning no indentation)

      align (bool): if True, align data items (default is False) show_hidden (bool): if True, show hidden data items

      > (default is True)

    Returns:

      str: string representation of the data set

  view(parent: QWidget | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None) → None

    Open a dialog box to view data set

    Args:

      parent: parent widget (default is None, meaning no parent) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height))

  write_config(conf: UserConfig, section: str, option: str) → None

    Write configuration to a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

class guiqwt.styles.SymbolParam(title: str | None = None, comment: str | None = None, icon: str = '', readonly: bool = False, skip_defaults: bool = False)
  accept(vis: object) → None

    Helper function that passes the visitor to the accept methods of all the items in this dataset

    Args:

      vis (object): visitor object

  check() → list[str]

    Check the dataset item values

    Returns:

      list[str]: list of errors

  classmethod create(**kwargs) → AnyDataSet

    Create a new instance of the DataSet class

    Args:

      kwargs: keyword arguments to set the DataItem values

    Returns:

      DataSet instance

  deserialize(reader: HDF5Reader | JSONReader | INIReader) → None

    Deserialize the dataset

    Args:

      reader (HDF5Reader | JSONReader | INIReader): reader object

  edit(parent: QWidget | None = None, apply: Callable | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None, object_name: str | None = None) → int

    Open a dialog box to edit data set

    Args:

      parent: parent widget (default is None, meaning no parent) apply: apply callback (default is None) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height)) object_name: object name for the dialog (default is None, meaning

      > use class name + “Dialog”)

    Returns:

      Dialog exit code.

  get_comment() → str | None

    Return data set comment

    Returns:

      str | None: comment

  get_icon() → str | None

    Return data set icon

    Returns:

      str | None: icon

  get_items(copy=False) → list[DataItem]

    Returns all the DataItem objects from the DataSet instance. Ignore private items that have a name starting with an underscore (e.g. ‘_private_item = …’)

    Args:

      copy: If True, deepcopy the DataItem list, else return the original. Defaults to False.

    Returns:

      _description_

  get_title() → str

    Return data set title

    Returns:

      str: title

  read_config(conf: UserConfig, section: str, option: str) → None

    Read configuration from a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

  serialize(writer: HDF5Writer | JSONWriter | INIWriter) → None

    Serialize the dataset

    Args:

      writer (HDF5Writer | JSONWriter | INIWriter): writer object

  set_comment(comment: str | None) → None

    Set data set comment

    Args:

      comment (str | None): comment

  set_defaults() → None

    Set default values

  classmethod set_global_prop(realm: str, **kwargs) → None

    Set global properties for all data items in the dataset

    Args:

      realm (str): realm name kwargs (dict): properties to set

  set_icon(icon: str) → None

    Set data set icon

    Args:

      icon (str): icon

  set_title(title: str) → None

    Set data set title

    Args:

      title (str): title

  text_edit() → None

    Edit data set with text input only

  to_html() → str

    Return HTML representation of the dataset.

    Similar to Sigima’s TableResult transpose format with:

    - Title and comment in blue

    - Two-column table: item names (right-aligned) and values (left-aligned)

    - For BoolItem: checkbox in first column with label:text formatting

    Returns:

      HTML representation

  to_string(debug: bool | None = False, indent: str | None = None, align: bool | None = False, show_hidden: bool | None = True) → str

    Return readable string representation of the data set If debug is True, add more details on data items

    Args:

      debug (bool): if True, add more details on data items indent (str): indentation string (default is None,

      > meaning no indentation)

      align (bool): if True, align data items (default is False) show_hidden (bool): if True, show hidden data items

      > (default is True)

    Returns:

      str: string representation of the data set

  view(parent: QWidget | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None) → None

    Open a dialog box to view data set

    Args:

      parent: parent widget (default is None, meaning no parent) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height))

  write_config(conf: UserConfig, section: str, option: str) → None

    Write configuration to a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

class guiqwt.styles.LineStyleParam(title: str | None = None, comment: str | None = None, icon: str = '', readonly: bool = False, skip_defaults: bool = False)
  set_style_from_matlab(linestyle)

    Eventually convert MATLAB-like linestyle into Qt linestyle

  accept(vis: object) → None

    Helper function that passes the visitor to the accept methods of all the items in this dataset

    Args:

      vis (object): visitor object

  check() → list[str]

    Check the dataset item values

    Returns:

      list[str]: list of errors

  classmethod create(**kwargs) → AnyDataSet

    Create a new instance of the DataSet class

    Args:

      kwargs: keyword arguments to set the DataItem values

    Returns:

      DataSet instance

  deserialize(reader: HDF5Reader | JSONReader | INIReader) → None

    Deserialize the dataset

    Args:

      reader (HDF5Reader | JSONReader | INIReader): reader object

  edit(parent: QWidget | None = None, apply: Callable | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None, object_name: str | None = None) → int

    Open a dialog box to edit data set

    Args:

      parent: parent widget (default is None, meaning no parent) apply: apply callback (default is None) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height)) object_name: object name for the dialog (default is None, meaning

      > use class name + “Dialog”)

    Returns:

      Dialog exit code.

  get_comment() → str | None

    Return data set comment

    Returns:

      str | None: comment

  get_icon() → str | None

    Return data set icon

    Returns:

      str | None: icon

  get_items(copy=False) → list[DataItem]

    Returns all the DataItem objects from the DataSet instance. Ignore private items that have a name starting with an underscore (e.g. ‘_private_item = …’)

    Args:

      copy: If True, deepcopy the DataItem list, else return the original. Defaults to False.

    Returns:

      _description_

  get_title() → str

    Return data set title

    Returns:

      str: title

  read_config(conf: UserConfig, section: str, option: str) → None

    Read configuration from a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

  serialize(writer: HDF5Writer | JSONWriter | INIWriter) → None

    Serialize the dataset

    Args:

      writer (HDF5Writer | JSONWriter | INIWriter): writer object

  set_comment(comment: str | None) → None

    Set data set comment

    Args:

      comment (str | None): comment

  set_defaults() → None

    Set default values

  classmethod set_global_prop(realm: str, **kwargs) → None

    Set global properties for all data items in the dataset

    Args:

      realm (str): realm name kwargs (dict): properties to set

  set_icon(icon: str) → None

    Set data set icon

    Args:

      icon (str): icon

  set_title(title: str) → None

    Set data set title

    Args:

      title (str): title

  text_edit() → None

    Edit data set with text input only

  to_html() → str

    Return HTML representation of the dataset.

    Similar to Sigima’s TableResult transpose format with:

    - Title and comment in blue

    - Two-column table: item names (right-aligned) and values (left-aligned)

    - For BoolItem: checkbox in first column with label:text formatting

    Returns:

      HTML representation

  to_string(debug: bool | None = False, indent: str | None = None, align: bool | None = False, show_hidden: bool | None = True) → str

    Return readable string representation of the data set If debug is True, add more details on data items

    Args:

      debug (bool): if True, add more details on data items indent (str): indentation string (default is None,

      > meaning no indentation)

      align (bool): if True, align data items (default is False) show_hidden (bool): if True, show hidden data items

      > (default is True)

    Returns:

      str: string representation of the data set

  view(parent: QWidget | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None) → None

    Open a dialog box to view data set

    Args:

      parent: parent widget (default is None, meaning no parent) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height))

  write_config(conf: UserConfig, section: str, option: str) → None

    Write configuration to a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

class guiqwt.styles.BrushStyleParam(title: str | None = None, comment: str | None = None, icon: str = '', readonly: bool = False, skip_defaults: bool = False)
  accept(vis: object) → None

    Helper function that passes the visitor to the accept methods of all the items in this dataset

    Args:

      vis (object): visitor object

  check() → list[str]

    Check the dataset item values

    Returns:

      list[str]: list of errors

  classmethod create(**kwargs) → AnyDataSet

    Create a new instance of the DataSet class

    Args:

      kwargs: keyword arguments to set the DataItem values

    Returns:

      DataSet instance

  deserialize(reader: HDF5Reader | JSONReader | INIReader) → None

    Deserialize the dataset

    Args:

      reader (HDF5Reader | JSONReader | INIReader): reader object

  edit(parent: QWidget | None = None, apply: Callable | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None, object_name: str | None = None) → int

    Open a dialog box to edit data set

    Args:

      parent: parent widget (default is None, meaning no parent) apply: apply callback (default is None) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height)) object_name: object name for the dialog (default is None, meaning

      > use class name + “Dialog”)

    Returns:

      Dialog exit code.

  get_comment() → str | None

    Return data set comment

    Returns:

      str | None: comment

  get_icon() → str | None

    Return data set icon

    Returns:

      str | None: icon

  get_items(copy=False) → list[DataItem]

    Returns all the DataItem objects from the DataSet instance. Ignore private items that have a name starting with an underscore (e.g. ‘_private_item = …’)

    Args:

      copy: If True, deepcopy the DataItem list, else return the original. Defaults to False.

    Returns:

      _description_

  get_title() → str

    Return data set title

    Returns:

      str: title

  read_config(conf: UserConfig, section: str, option: str) → None

    Read configuration from a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

  serialize(writer: HDF5Writer | JSONWriter | INIWriter) → None

    Serialize the dataset

    Args:

      writer (HDF5Writer | JSONWriter | INIWriter): writer object

  set_comment(comment: str | None) → None

    Set data set comment

    Args:

      comment (str | None): comment

  set_defaults() → None

    Set default values

  classmethod set_global_prop(realm: str, **kwargs) → None

    Set global properties for all data items in the dataset

    Args:

      realm (str): realm name kwargs (dict): properties to set

  set_icon(icon: str) → None

    Set data set icon

    Args:

      icon (str): icon

  set_title(title: str) → None

    Set data set title

    Args:

      title (str): title

  text_edit() → None

    Edit data set with text input only

  to_html() → str

    Return HTML representation of the dataset.

    Similar to Sigima’s TableResult transpose format with:

    - Title and comment in blue

    - Two-column table: item names (right-aligned) and values (left-aligned)

    - For BoolItem: checkbox in first column with label:text formatting

    Returns:

      HTML representation

  to_string(debug: bool | None = False, indent: str | None = None, align: bool | None = False, show_hidden: bool | None = True) → str

    Return readable string representation of the data set If debug is True, add more details on data items

    Args:

      debug (bool): if True, add more details on data items indent (str): indentation string (default is None,

      > meaning no indentation)

      align (bool): if True, align data items (default is False) show_hidden (bool): if True, show hidden data items

      > (default is True)

    Returns:

      str: string representation of the data set

  view(parent: QWidget | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None) → None

    Open a dialog box to view data set

    Args:

      parent: parent widget (default is None, meaning no parent) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height))

  write_config(conf: UserConfig, section: str, option: str) → None

    Write configuration to a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

class guiqwt.styles.TextStyleParam(title: str | None = None, comment: str | None = None, icon: str = '', readonly: bool = False, skip_defaults: bool = False)
  update_param(obj)

    obj: QwtText instance

  update_text(obj)

    obj: QwtText instance

  accept(vis: object) → None

    Helper function that passes the visitor to the accept methods of all the items in this dataset

    Args:

      vis (object): visitor object

  check() → list[str]

    Check the dataset item values

    Returns:

      list[str]: list of errors

  classmethod create(**kwargs) → AnyDataSet

    Create a new instance of the DataSet class

    Args:

      kwargs: keyword arguments to set the DataItem values

    Returns:

      DataSet instance

  deserialize(reader: HDF5Reader | JSONReader | INIReader) → None

    Deserialize the dataset

    Args:

      reader (HDF5Reader | JSONReader | INIReader): reader object

  edit(parent: QWidget | None = None, apply: Callable | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None, object_name: str | None = None) → int

    Open a dialog box to edit data set

    Args:

      parent: parent widget (default is None, meaning no parent) apply: apply callback (default is None) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height)) object_name: object name for the dialog (default is None, meaning

      > use class name + “Dialog”)

    Returns:

      Dialog exit code.

  get_comment() → str | None

    Return data set comment

    Returns:

      str | None: comment

  get_icon() → str | None

    Return data set icon

    Returns:

      str | None: icon

  get_items(copy=False) → list[DataItem]

    Returns all the DataItem objects from the DataSet instance. Ignore private items that have a name starting with an underscore (e.g. ‘_private_item = …’)

    Args:

      copy: If True, deepcopy the DataItem list, else return the original. Defaults to False.

    Returns:

      _description_

  get_title() → str

    Return data set title

    Returns:

      str: title

  read_config(conf: UserConfig, section: str, option: str) → None

    Read configuration from a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name

  serialize(writer: HDF5Writer | JSONWriter | INIWriter) → None

    Serialize the dataset

    Args:

      writer (HDF5Writer | JSONWriter | INIWriter): writer object

  set_comment(comment: str | None) → None

    Set data set comment

    Args:

      comment (str | None): comment

  set_defaults() → None

    Set default values

  classmethod set_global_prop(realm: str, **kwargs) → None

    Set global properties for all data items in the dataset

    Args:

      realm (str): realm name kwargs (dict): properties to set

  set_icon(icon: str) → None

    Set data set icon

    Args:

      icon (str): icon

  set_title(title: str) → None

    Set data set title

    Args:

      title (str): title

  text_edit() → None

    Edit data set with text input only

  to_html() → str

    Return HTML representation of the dataset.

    Similar to Sigima’s TableResult transpose format with:

    - Title and comment in blue

    - Two-column table: item names (right-aligned) and values (left-aligned)

    - For BoolItem: checkbox in first column with label:text formatting

    Returns:

      HTML representation

  to_string(debug: bool | None = False, indent: str | None = None, align: bool | None = False, show_hidden: bool | None = True) → str

    Return readable string representation of the data set If debug is True, add more details on data items

    Args:

      debug (bool): if True, add more details on data items indent (str): indentation string (default is None,

      > meaning no indentation)

      align (bool): if True, align data items (default is False) show_hidden (bool): if True, show hidden data items

      > (default is True)

    Returns:

      str: string representation of the data set

  view(parent: QWidget | None = None, wordwrap: bool = True, size: QSize | tuple[int, int] | None = None) → None

    Open a dialog box to view data set

    Args:

      parent: parent widget (default is None, meaning no parent) wordwrap: if True, comment text is wordwrapped size: dialog size (QSize object or integer tuple (width, height))

  write_config(conf: UserConfig, section: str, option: str) → None

    Write configuration to a UserConfig instance

    Args:

      conf (UserConfig): UserConfig instance section (str): section name option (str): option name